org.springframework.batch.core.jsr.configuration.support

## Class BaseContextListFactoryBean

- java.lang.Object
- - org.springframework.batch.core.jsr.configuration.support.BaseContextListFactoryBean

- All Implemented Interfaces:
    org.springframework.beans.factory.FactoryBean<java.util.List<java.lang.String>>

      public class BaseContextListFactoryBean
      extends java.lang.Object
      implements org.springframework.beans.factory.FactoryBean<java.util.List<java.lang.String>>

  A simple factory bean that consolidates the list of locations to look for the base context for the JSR-352 functionality
  Since:
    3.0.3
  Author:
    Michael Minella

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.beans.factory.FactoryBean

      `OBJECT_TYPE_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseContextListFactoryBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getObject()`
    `java.lang.Class<?>` | `getObjectType()`
    `boolean` | `isSingleton()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseContextListFactoryBean

          public BaseContextListFactoryBean()

  - ### Method Detail

    - #### getObject

          public java.util.List<java.lang.String> getObject()
                                                     throws java.lang.Exception

      Specified by:
        `getObject` in interface `org.springframework.beans.factory.FactoryBean<java.util.List<java.lang.String>>`
      Throws:
        `java.lang.Exception`

    - #### getObjectType

          public java.lang.Class<?> getObjectType()

      Specified by:
        `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<java.util.List<java.lang.String>>`

    - #### isSingleton

          public boolean isSingleton()

      Specified by:
        `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<java.util.List<java.lang.String>>`